package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;

import com.palmnest.application.dto.DeptGroupDto;
import com.palmnest.application.dto.input.AppNoticeDetailDto;

public class NoticeDto implements Serializable {

	/**
	 * 公告详情
	 */
	private static final long serialVersionUID = 2385382460072870009L;

	private Integer id;// 主键ID
	private String title;
	private String content;
	private String contentTxt;
	private String urlAddress;
	private Integer state;
	// 公告类型
	// 图文类型
	// 封面
	// 摘要
	// 跳转url
	private Integer noticeType;// 1 公告 ；2 banner图；3 跳转链接
	private Integer contentType;// 1 图文消息 ；2 跳转链接
	private String coverUrl;// 封面
	private String summaryInfo;// 摘要
	private String approvalUser;
	private String approvalTime;
	private String createTime;
	private String creator;
	private String modifier;
	private String modifyTime;
	private Integer positionType;//展示位置 0app+微信、1app、2微信
	private Integer orgId;//项目id
	
	private String orgIds;//项目id
	
	 private String openIds;
	    private String userIds;
	    private Integer isPublic;
	    private Integer isWechat;
	    private Integer isApp;
	    private Integer publicObj;
	    private Integer isMessageList;
	    private Integer sourceType;//1历史数据2新数据
	    
	    private Integer sourceId;
	
	private List<AppNoticeDetailDto> detailList;
	
	private Integer approvalType;//审核类型
	private List<AuditDto> auditList;//审核信息
	private String approvalTypeName;
	
	private Integer isApproval;
	private Integer isPushTemplate;
	
	private long views;
	
	private Integer isViews;

	private Integer publicId;
	private String developid;
	
	private List<DeptGroupDto> deptGroupJson;

	public Integer getPublicId() {
		return publicId;
	}

	public void setPublicId(Integer publicId) {
		this.publicId = publicId;
	}

	public String getDevelopid() {
		return developid;
	}

	public void setDevelopid(String developid) {
		this.developid = developid;
	}

	public Integer getIsViews() {
		return isViews;
	}

	public void setIsViews(Integer isViews) {
		this.isViews = isViews;
	}

	public long getViews() {
		return views;
	}

	public void setViews(long views) {
		this.views = views;
	}

	public Integer getIsPushTemplate() {
		return isPushTemplate;
	}

	public void setIsPushTemplate(Integer isPushTemplate) {
		this.isPushTemplate = isPushTemplate;
	}

	public Integer getPositionType() {
		return positionType;
	}

	public void setPositionType(Integer positionType) {
		this.positionType = positionType;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	
	

	public String getOrgIds() {
		return orgIds;
	}

	public void setOrgIds(String orgIds) {
		this.orgIds = orgIds;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public NoticeDto() {
	}
	public NoticeDto(Integer id, String title, String content, String contentTxt, String urlAddress, Integer state,
			Integer noticeType, Integer contentType, String coverUrl, String summaryInfo) {
		super();
		this.id = id;
		this.title = title;
		this.content = content;
		this.contentTxt = contentTxt;
		this.urlAddress = urlAddress;
		this.state = state;
		this.noticeType = noticeType;
		this.contentType = contentType;
		this.coverUrl = coverUrl;
		this.summaryInfo = summaryInfo;
	}

	public List<DeptGroupDto> getDeptGroupJson() {
		return deptGroupJson;
	}

	public void setDeptGroupJson(List<DeptGroupDto> deptGroupJson) {
		this.deptGroupJson = deptGroupJson;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getContentTxt() {
		return contentTxt;
	}
	public void setContentTxt(String contentTxt) {
		this.contentTxt = contentTxt;
	}
	public String getUrlAddress() {
		return urlAddress;
	}
	public void setUrlAddress(String urlAddress) {
		this.urlAddress = urlAddress;
	}
	public Integer getState() {
		return state;
	}
	public void setState(Integer state) {
		this.state = state;
	}
	public Integer getNoticeType() {
		return noticeType;
	}
	public void setNoticeType(Integer noticeType) {
		this.noticeType = noticeType;
	}
	public Integer getContentType() {
		return contentType;
	}
	public void setContentType(Integer contentType) {
		this.contentType = contentType;
	}
	public String getCoverUrl() {
		return coverUrl;
	}
	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}
	public String getSummaryInfo() {
		return summaryInfo;
	}
	public void setSummaryInfo(String summaryInfo) {
		this.summaryInfo = summaryInfo;
	}
	public String getApprovalUser() {
		return approvalUser;
	}
	public void setApprovalUser(String approvalUser) {
		this.approvalUser = approvalUser;
	}
	public String getApprovalTime() {
		return approvalTime;
	}
	public void setApprovalTime(String approvalTime) {
		this.approvalTime = approvalTime;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}

	public List<AppNoticeDetailDto> getDetailList() {
		return detailList;
	}

	public void setDetailList(List<AppNoticeDetailDto> detailList) {
		this.detailList = detailList;
	}

	public String getOpenIds() {
		return openIds;
	}

	public void setOpenIds(String openIds) {
		this.openIds = openIds;
	}

	public String getUserIds() {
		return userIds;
	}

	public void setUserIds(String userIds) {
		this.userIds = userIds;
	}

	public Integer getIsPublic() {
		return isPublic;
	}

	public void setIsPublic(Integer isPublic) {
		this.isPublic = isPublic;
	}

	public Integer getIsWechat() {
		return isWechat;
	}

	public void setIsWechat(Integer isWechat) {
		this.isWechat = isWechat;
	}

	public Integer getIsApp() {
		return isApp;
	}

	public void setIsApp(Integer isApp) {
		this.isApp = isApp;
	}

	public Integer getPublicObj() {
		return publicObj;
	}

	public void setPublicObj(Integer publicObj) {
		this.publicObj = publicObj;
	}

	public Integer getIsMessageList() {
		return isMessageList;
	}

	public void setIsMessageList(Integer isMessageList) {
		this.isMessageList = isMessageList;
	}

	
	public Integer getSourceType() {
		return sourceType;
	}

	public void setSourceType(Integer sourceType) {
		this.sourceType = sourceType;
	}

	public Integer getSourceId() {
		return sourceId;
	}

	public void setSourceId(Integer sourceId) {
		this.sourceId = sourceId;
	}

	public Integer getApprovalType() {
		return approvalType;
	}

	public void setApprovalType(Integer approvalType) {
		this.approvalType = approvalType;
	}

	public List<AuditDto> getAuditList() {
		return auditList;
	}

	public void setAuditList(List<AuditDto> auditList) {
		this.auditList = auditList;
	}

	public Integer getIsApproval() {
		return isApproval;
	}

	public void setIsApproval(Integer isApproval) {
		this.isApproval = isApproval;
	}

	public String getApprovalTypeName() {
		return approvalTypeName;
	}

	public void setApprovalTypeName(String approvalTypeName) {
		this.approvalTypeName = approvalTypeName;
	}
	
	

}
